# ConsoleContentCallback Struct Reference

Asynchronous callback. More...

Inheritance diagram for ConsoleContentCallback:

## Public Member Functions
void | OnConnect (bool success)
| Callback for when the connection has finished.
void | OnDisconnect ()
| Callback for when the connection got disconnected.
void | OnDownloadComplete (ContentID cid)
| We have finished downloading a file.

## Detailed Description

Asynchronous callback.

Definition at line 1519 of file console_cmds.cpp.

## Member Function Documentation

void ConsoleContentCallback::OnConnect | ( | bool | success | ) | `[inline, virtual]`

Callback for when the connection has finished.

Parameters:

  | success | whether the connection was made or that we failed to make it

Reimplemented from ContentCallback.

Definition at line 1520 of file console_cmds.cpp.

References IConsolePrintF().

void ConsoleContentCallback::OnDownloadComplete | ( | ContentID | cid | ) | `[inline, virtual]`

We have finished downloading a file.

Parameters:

  | cid | the ContentID of the downloaded file

Reimplemented from ContentCallback.

Definition at line 1530 of file console_cmds.cpp.

References IConsolePrintF().

The documentation for this struct was generated from the following file:

- src/console_cmds.cpp